Summary: Gnome user file sharing
Name: gnome-user-share
Version: 2.28.2
Release: 3%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-user-share/2.28/%{name}-%{version}.tar.bz2
# http://bugzilla.gnome.org/show_bug.cgi?id=578090
Patch0: menu-path.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=558244
# https://bugzilla.gnome.org/show_bug.cgi?id=600499
Patch1: 0001-Bug-558244-Enabling-gnome-user-share-requires-cha.patch
%define		_default_patch_fuzz 2
Patch2: 0001-Use-same-directories-in-nautilus-bar-and-app.patch

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589208
Patch3: gnome-user-share-translations.patch

BuildRequires: intltool automake autoconf libtool


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch: s390 s390x
Requires: httpd >= 2.2.0
Requires: obex-data-server >= 0.3
Requires: mod_dnssd
BuildRequires: GConf2-devel pkgconfig
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: httpd >= 2.2.0 mod_dnssd >= 0.6
BuildRequires: gnome-bluetooth-libs-devel
BuildRequires: libcanberra-devel
BuildRequires: desktop-file-utils
BuildRequires: gnome-doc-utils
BuildRequires: libselinux-devel
BuildRequires: dbus-glib-devel
BuildRequires: libnotify-devel
BuildRequires: nautilus-devel
BuildRequires: unique-devel
BuildRequires: gettext
BuildRequires: perl(XML::Parser) intltool
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(pre): GConf2
Requires(preun): GConf2

%description

gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in GNOME.

The program also allows to share files using ObexFTP over Bluetooth.

%prep
%setup -q
%patch0 -p1 -b .menu-path
%patch1 -p1 -b .cluebar
%patch2 -p1 -b .dirs
%patch3 -p1 -b .translations

autoreconf -f -i

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			        \
  --add-only-show-in GNOME                                              \
  --add-category X-Red-Hat-Base                                         \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang gnome-user-share --with-gnome

# save space by linking identical images in translated docs
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas > /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_file_sharing.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%files -f gnome-user-share.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/gnome-user-share
%{_datadir}/applications/*
%{_sysconfdir}/xdg/autostart/gnome-user-share.desktop
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/icons/hicolor/*/apps/gnome-obex-server.png
%{_libdir}/nautilus/extensions-2.0/*.so


%changelog

